io.etcd.jetcd.auth

## Class AuthUserListResponse

- java.lang.Object
- - io.etcd.jetcd.AbstractResponse<AuthUserListResponse>
  - - io.etcd.jetcd.auth.AuthUserListResponse

All Implemented Interfaces:
  Response

    public class AuthUserListResponse
    extends AbstractResponse<AuthUserListResponse>

AuthUserListResponse returned by `Auth#userList()` contains a header and a list of users.

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.etcd.jetcd.Response

`Response.Header`

### Constructor Summary

Constructors
Constructor and Description
`AuthUserListResponse(AuthUserListResponse response)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<String>` `getUsers()` returns a list of users.

### Methods inherited from class io.etcd.jetcd.AbstractResponse

`getHeader, getResponse, getResponseHeader, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AuthUserListResponse

    public AuthUserListResponse(AuthUserListResponse response)

### Method Detail

#### getUsers

    public List<String> getUsers()

returns a list of users.